
require 'world'
require 'player'
require 'spikes'
require 'effects'
require 'sound'
require 'cannon'

screen_w = love.graphics.getWidth()
screen_h = love.graphics.getHeight()

restoreCheckPoint = true

function love.load()
	currentLevel = 1

	
	effects:load()
	world:load(currentLevel)
	player:load()
	world:spawn()
	spikes:load()
	sound:load()
	cannon:load()
	
	sound:playMusic('music')
	
end

function love.update(dt)
	love.timer.getFPS(dt/60)

	effects:update(dt)
	player:update(dt)
	world:update(dt)
	spikes:update(dt)
	cannon:update(dt)
	
		if player.xPos + player.w+16 >= world.endWallX and player.xPos <= world.endWallX + 16 and 
		player.yPos + player.h+16 >= world.endWallY and player.yPos <= world.endWallY + 16 then 
		restoreCheckPoint = true
		sound:playMusic("win")
		for i,v in ipairs(bullet) do
			for ii,vv in ipairs(bullet2) do
		table.remove(bullet)
		table.remove(bullet2)
			end
		end
		currentLevel = currentLevel + 1
	end
	
	if currentLevel > 4 then
	currentLevel = 1
	end
	
end

function love.draw()
	
	love.graphics.setBackgroundColor(222,222,222)
	
	if restoreCheckPoint then
	
	
	effects:load()
	player:load()
	world:load(currentLevel)
	world:spawn()
	spikes:load()
	sound:load()
	cannon:load()

	restoreCheckPoint = false
	end
	effects:draw()
	world:draw()
	player:draw()
	spikes:draw()
	cannon:draw()

end
