

player = {}

function player:load(x,y)
	
	player.xPos = x or 0
	player.yPos = y or 0
	
	player.pic = love.graphics.newImage('data/pic/player.png')
	player.pic:setFilter('nearest','nearest')
	
	player.pic2 = love.graphics.newImage('data/pic/player2.png')
	player.pic2:setFilter('nearest','nearest')
	
	player.pic3 = love.graphics.newImage('data/pic/player3.png')
	player.pic3:setFilter('nearest','nearest')
	
	player.pic4 = love.graphics.newImage('data/pic/player4.png')
	player.pic4:setFilter('nearest','nearest')
	
	player.pic5 = love.graphics.newImage('data/pic/player5.png')
	player.pic5:setFilter('nearest','nearest')
	
	player.pic6 = love.graphics.newImage('data/pic/player6.png')
	player.pic6:setFilter('nearest','nearest')
	
	player.pic7 = love.graphics.newImage('data/pic/player7.png')
	player.pic7:setFilter('nearest','nearest')
	
	player.pic8 = love.graphics.newImage('data/pic/player8.png')
	player.pic8:setFilter('nearest','nearest')
	
	player.pic9 = love.graphics.newImage('data/pic/playerJump1.png')
	player.pic9:setFilter('nearest','nearest')
	
	player.pic10 = love.graphics.newImage('data/pic/playerJump2.png')
	player.pic10:setFilter('nearest','nearest')
	
	player.w = player.pic:getWidth()
	player.h = player.pic:getHeight()
	
	player.xVel = 0
	player.maXVel = 90
	player.yVel = 0
	player.maxYVel = 900
	player.maxSpeed = 250
	player.friction = 960
	player.jumpHeight = 410
	
	player.inAir = true
	
	player.dir = -1
	player.scale = 3
	player.current = player.pic
	player.timer = 0
	
end

function player:update(dt)

	player:animLogic(dt)
	local xPos = player.xPos
	local yPos = player.yPos

	player.yPos = player.yPos + (player.yVel * dt)
	player.yVel = player.yVel + (1150 * dt)
	--limit the falling sped
	if player.yVel > player.maxYVel then player.yVel = player.maxYVel end
	if math.abs(player.yVel) < 2 then
		player.yVel = 0
	end

	player.xPos = player.xPos + (player.xVel * dt)

	if math.abs(player.xVel) < 2 then
		player.xVel = 0
	end
	if player.xVel > 0 then
		if player.inAir then
			player.xVel = player.xVel - (player.friction * 0.55 * dt)
		else
			player.xVel = player.xVel - (player.friction * dt)
		end
	elseif player.xVel < 0 then
		if player.inAir then
			player.xVel = player.xVel + (player.friction * 0.55 * dt)
		else
			player.xVel = player.xVel + (player.friction * dt)
		end
	end
	
			local moveSpeed = 3000
			if player.inAir then moveSpeed = moveSpeed / 3.5 end
			if (love.keyboard.isDown("a") or love.keyboard.isDown("left")) and player.xVel > -player.maxSpeed then
				player.xVel = player.xVel - (moveSpeed * dt)
				player.dir = 1
			elseif (love.keyboard.isDown("d") or love.keyboard.isDown("right")) and player.xVel < player.maxSpeed then
				player.xVel = player.xVel + (moveSpeed * dt)
				player.dir = 2
			end
			
			if player.xVel < -player.maxSpeed then player.xVel = -player.maxSpeed end
			if player.xVel > player.maxSpeed then player.xVel = player.maxSpeed end
			
			if love.keyboard.isDown("r") then
				sound:playMusic("restart")			
				restoreCheckPoint = true
			end
	
		for i = -8, 8 do
			if world:coll(xPos+i, player.yPos+12) then
				player.yPos = yPos
				player.inAir = false
				player.yVel = 0
			end
		end

		for i = -8, 8 do
			if world:coll(xPos+i, player.yPos-8) then
				player.yPos = yPos
				player.yVel = 0
			end
		end

		for i = -8, 12 do
			if world:coll(player.xPos+8, yPos+i) or world:coll(player.xPos-8, yPos+i) then
				player.xPos = xPos
				player.xVel = 0
		end
	end
end

function player:animLogic(dt)

	if player.dir == 1 then 
		player.timer = player.timer + dt
		if player.timer >= 0 then
			player.current = player.pic
		if player.timer >= .2 then
			player.current = player.pic2
		if player.timer >= .4 then 
			player.current = player.pic3
		if player.timer >= .6 then 
			player.current = player.pic4
			player.timer = 0
					end
				end
			end
		end
	end
	
	if player.dir == 2 then 
		player.timer = player.timer + dt
		if player.timer >= 0 then
			player.current = player.pic5
		if player.timer >= .2 then
			player.current = player.pic6
		if player.timer >= .4 then 
			player.current = player.pic7
		if player.timer >= .6 then 
			player.current = player.pic8
			player.timer = 0
					end
				end
			end
		end
	end
	
	if player.xVel == 0 and player.dir == 1 then
		player.current = player.pic
	end
	
	if player.xVel == 0 and player.dir == 2 then
		player.current = player.pic8
	end
	
	--jump anim
	if player.inAir and player.dir == 1 then
		player.current = player.pic9
	end
	
	if player.inAir and player.dir == 2 then
		player.current = player.pic10
	end
	
end

function love.keypressed(key, unicode)
	if not player.inAir then
		if key == "w" or key == "up" then
			sound:playMusic("jump")
			player.yVel = -player.jumpHeight
			player.inAir = true
		end
	end
end

function player:draw()

	if player.dir == 1 or player.dir == -1 then 
		love.graphics.draw(player.current,player.xPos,player.yPos,0,player.scale,player.scale)
			elseif player.dir == 2 then 
				love.graphics.draw(player.current,player.xPos,player.yPos,0,player.scale,player.scale)
	end	
end 









