

world = {}

function world:load(lvl)
	level = lvl or 1
	
	world.width = 32
	world.height = 20
	world.tile = 8
	world.scale = 3
	
	world.img = love.image.newImageData("data/levels/lvl"..level.."col.png")
	
	world.wall = love.graphics.newImage('data/pic/wall.png')
	world.wall:setFilter('nearest','nearest')
	
	world.background = love.graphics.newImage('data/pic/background.png')
	world.background:setFilter('nearest','nearest')
	
	world.endWall = love.graphics.newImage('data/pic/endWall.png')
	world.endWall:setFilter('nearest','nearest')
	
	world.spawnBlock = love.graphics.newImage('data/pic/spawn.png')
	world.spawnBlock:setFilter('nearest','nearest')
	
	world.endWallX = 0
	world.endWallY = 0
	
end

function world:draw()
	for x = 0 , world.width-1 do 
		for y = 0 , world.height-1 do 
			red,green,blue,alpha = world.img:getPixel(x,y)
			
			if red == 128 and green == 128 and blue == 0 then 
				love.graphics.draw(world.wall,x*world.tile*world.scale,y*world.tile*world.scale,0,world.scale,world.scale)
			end
			
			if red == 128 and green == 128 and blue == 128 then 
				love.graphics.draw(world.background,x*world.tile*world.scale,y*world.tile*world.scale,0,world.scale,world.scale)
			end
			
			if red == 128 and green == 228 and blue == 130 then 
				love.graphics.draw(world.spawnBlock,x*world.tile*world.scale,y*world.tile*world.scale,0,world.scale,world.scale)			
			end
			
			if red == 255 and green == 216 and blue == 10 then 
				world.endWallX = x*world.tile*world.scale
				world.endWallY = y*world.tile*world.scale
				love.graphics.draw(world.endWall,world.endWallX,world.endWallY,0,world.scale,world.scale)
			end
			
		end
	end
end

function world:spawn()
	for x = 0 , world.width-1 do 
		for y = 0 , world.height-1 do 
			red,green,blue,alpha = world.img:getPixel(x,y)
			
			if red == 128 and green == 228 and blue == 130 then 
				player.xPos = x*8*3
				player.yPos = y*8*3				
			end
		end
	end
end

function world:coll(xVal,yVal)
	
	local x = (xVal/3/8)
	local y = (yVal/3/8)

	if x < world.img:getWidth() and y < world.img:getHeight() and x >= 0 and y >= 0 then
		red, green, blue, alpha = world.img:getPixel(x, y)
		if red+green > 0 and blue == 0 then
			return true
		else
			return false
		end
	else
		return false
	end
end
function world:update(dt)

end
